Supported browsers

You can use any of the following browsers to access Analytics:

In general, Analytics supports the two most-recent major releases of Chrome, Firefox, Edge, and Safari (on a rolling basis). We highly recommend that you use one of these supported browsers.

If your browser isn't compatible with the current Analytics interface, you may see an alert message in your account.

When you upgrade to a supported browser, you may also need to update your browser preferences to allow cookies and JavaScript in order to use all the tools available in Analytics.

Was this article helpful?
How can we improve it?